| hdcp22_tx Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Tx_Info Struct Reference
Overview

This typedef contains information about the HDCP22 transmitter. More...

## Data Fields
XHdcp22_Tx_Protocol | Protocol
| Copy of configuration setting Protocol. More...
XHdcp22_Tx_StateType | CurrentState
| Current state of the internal state machine. More...
XHdcp22_Tx_StateType | PrvState
| Previous state of the internal state machine. More...
u8 | Rtx [8]
| Internal used Rtx. More...
u8 | Rrx [8]
| Internal used Rrx. More...
u8 | Rn [8]
| Internal used Rn. More...
void * | StateContext
| Context used internally by the state machine. More...
u16 | LocalityCheckCounter
| Locality may attempt 1024 times. More...
u8 | MsgAvailable
| Message is available for reading. More...
XHdcp22_Tx_AuthenticationType | AuthenticationStatus
| The result after a call to XHdcp22Tx_Poll. More...
XHdcp22_Tx_ContentStreamType | ContentStreamType
| Content stream type used with Content Stream Management. More...
u32 | SeqNum_M
| Sequence number M used with Content Stream Management. More...
u8 | SentFirstSeqNum_M
| Indicates if the first seq_num_M value is sent. More...
u8 | M [32]
| Calculated M value. More...
u8 | IsTopologyAvailable
| Is topology info available. More...
u8 | IsContentStreamTypeSent
| Content stream type is sent. More...
u8 | IsContentStreamTypeSet
| Content stream type is set. More...
u16 | ContentStreamManageCheckCounter
| Keeps track of the number of Content Stream Management checks performed. More...
u8 | ContentStreamManageFailed
| Content stream management failed. More...
u8 | ReceivedFirstSeqNum_V
| Indicates if the first seq_num_V value is received. More...
u8 | ReAuthenticationRequested
| Is re-authentication requested by HDCP 2.2 RX. More...
u16 | RxStatus
| HDCP RX status read on timer interrupt. More...
u8 | IsEnabled
| Is HDCP TX enabled (state machine is active). More...
u8 | IsReceiverHDCP2Capable
| Is the receiver a HDCP 2.2 type. More...
u8 | IsReceiverRepeater
| Is the receiver a HDCP repeater. More...
u8 | IsRevocationListValid
| Is revocation list valid. More...
u8 | IsDeviceRevoked
| Is a device listed in the revocation list. More...
u32 | PollingValue
| The currently used polling value see also XHDCP22_TX_DEFAULT_RX_STATUS_POLLVALUE. More...
u32 | AuthRequestCnt
| Authentication request count. More...
u32 | ReauthRequestCnt
| Re-authentication request count. More...

## Detailed Description

This typedef contains information about the HDCP22 transmitter.

## Field Documentation

XHdcp22_Tx_AuthenticationType XHdcp22_Tx_Info::AuthenticationStatus

The result after a call to XHdcp22Tx_Poll.

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Info(), XHdcp22Tx_IsAuthenticated(), XHdcp22Tx_IsInProgress(), XHdcp22Tx_Poll(), XHdcp22Tx_Reset(), and XHdcp22Tx_RevokeReceiverId().

u32 XHdcp22_Tx_Info::AuthRequestCnt

Authentication request count.

Referenced by XHdcp22Tx_Info(), and XHdcp22Tx_Reset().

u16 XHdcp22_Tx_Info::ContentStreamManageCheckCounter

Keeps track of the number of Content Stream Management checks performed.

u8 XHdcp22_Tx_Info::ContentStreamManageFailed

Content stream management failed.

XHdcp22_Tx_ContentStreamType XHdcp22_Tx_Info::ContentStreamType

Content stream type used with Content Stream Management.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Info(), and XHdcp22Tx_SetContentStreamType().

XHdcp22_Tx_StateType XHdcp22_Tx_Info::CurrentState

Current state of the internal state machine.

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Poll(), XHdcp22Tx_Reset(), and XHdcp22Tx_RevokeReceiverId().

u8 XHdcp22_Tx_Info::IsContentStreamTypeSent

Content stream type is sent.

u8 XHdcp22_Tx_Info::IsContentStreamTypeSet

Content stream type is set.

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetContentStreamType().

u8 XHdcp22_Tx_Info::IsDeviceRevoked

Is a device listed in the revocation list.

Referenced by XHdcp22Tx_RevokeReceiverId().

u8 XHdcp22_Tx_Info::IsEnabled

Is HDCP TX enabled (state machine is active).

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Disable(), XHdcp22Tx_Enable(), XHdcp22Tx_IsEnabled(), and XHdcp22Tx_Poll().

u8 XHdcp22_Tx_Info::IsReceiverHDCP2Capable

Is the receiver a HDCP 2.2 type.

Referenced by XHdcp22Tx_Authenticate(), and XHdcp22Tx_CfgInitialize().

u8 XHdcp22_Tx_Info::IsReceiverRepeater

Is the receiver a HDCP repeater.

u8 XHdcp22_Tx_Info::IsRevocationListValid

Is revocation list valid.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_LoadRevocationTable(), and XHdcp22Tx_RevokeReceiverId().

u8 XHdcp22_Tx_Info::IsTopologyAvailable

Is topology info available.

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_GetTopology(), and XHdcp22Tx_Reset().

u16 XHdcp22_Tx_Info::LocalityCheckCounter

Locality may attempt 1024 times.

u8 XHdcp22_Tx_Info::M[32]

Calculated M value.

u8 XHdcp22_Tx_Info::MsgAvailable

Message is available for reading.

Referenced by XHdcp22Tx_CfgInitialize().

u32 XHdcp22_Tx_Info::PollingValue

The currently used polling value see also XHDCP22_TX_DEFAULT_RX_STATUS_POLLVALUE.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Info(), and XHdcp22Tx_SetMessagePollingValue().

XHdcp22_Tx_Protocol XHdcp22_Tx_Info::Protocol

Copy of configuration setting Protocol.

Referenced by XHdcp22Tx_CfgInitialize().

XHdcp22_Tx_StateType XHdcp22_Tx_Info::PrvState

Previous state of the internal state machine.

Referenced by XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Poll(), and XHdcp22Tx_Reset().

u8 XHdcp22_Tx_Info::ReAuthenticationRequested

Is re-authentication requested by HDCP 2.2 RX.

u32 XHdcp22_Tx_Info::ReauthRequestCnt

Re-authentication request count.

Referenced by XHdcp22Tx_Info(), and XHdcp22Tx_Reset().

u8 XHdcp22_Tx_Info::ReceivedFirstSeqNum_V

Indicates if the first seq_num_V value is received.

Referenced by XHdcp22Tx_CfgInitialize().

u8 XHdcp22_Tx_Info::Rn[8]

Internal used Rn.

u8 XHdcp22_Tx_Info::Rrx[8]

Internal used Rrx.

u8 XHdcp22_Tx_Info::Rtx[8]

Internal used Rtx.

u16 XHdcp22_Tx_Info::RxStatus

HDCP RX status read on timer interrupt.

u8 XHdcp22_Tx_Info::SentFirstSeqNum_M

Indicates if the first seq_num_M value is sent.

u32 XHdcp22_Tx_Info::SeqNum_M

Sequence number M used with Content Stream Management.

void* XHdcp22_Tx_Info::StateContext

Context used internally by the state machine.

Referenced by XHdcp22Tx_CfgInitialize().